#include<iostream>
using namespace std;

struct fri{
	double a;
	double p;
};

void swap(fri* a, fri* b)
{
    fri t = *a;
    *a = *b;
    *b = t;
}

int partition (fri arr[], int low, int high)
{
    double pivot = arr[high].p;
    int i = (low - 1);

    for (int j = low; j <= high- 1; j++)
    {
        if (arr[j].p <= pivot)
        {
            i++;
            swap(&arr[i], &arr[j]);
        }
    }
    swap(&arr[i + 1], &arr[high]);
    return (i + 1);
}

void quickSort(fri arr[], int low, int high)
{
    if (low < high)
    {
        int pi = partition(arr, low, high);

        quickSort(arr, low, pi - 1);
        quickSort(arr, pi + 1, high);
    }
}

int main(){
	
	int n;
	
	cin>>n;
	fri arr[n];
	
	for(int i=0; i<n; i++){
		cin>>arr[i].a>>arr[i].p;
	}
	
	quickSort(arr, 0, n-1);
	double sum[n];
	double s=0;
	for(int i=0; i<n; i++){
		s+=arr[i].a;
	}
	double tempS=0;
	for(int i=0; i<n; i++){
		
		for(int j=0; j<i; j++){
			tempS+=arr[j].a;
		}
		
		sum[i]=(s-tempS)*arr[i].p/100;
		
		tempS=0;
		
	}
	
	double max=sum[0];
	
	for(int i=1; i<n; i++){
		if(sum[i]>max){
			max=sum[i];
		}
	}
	
	printf("%4.2f",max);
	
}